/*1. Рекурсія - це термін у програмуванні, що означає виклик функцією себе.
Коли функція викликає себе, це називається кроком рекурсії.
Це прийом програмування, корисний у ситуаціях, коли завдання може бути умовно розділенона кілька аналогічних, 
але більш простих завдань.Або коли завдання може бути спрощено до нескладних дій, 
тобто розбити задачу на більш прості умови.
У процесі виконання завдання у тілі функції можуть бути викликані інші функції виконання підзавдань. 
Рекурсивні функції можна використовувати для елегантного вирішення певних завдань. 
*/

let number;
let i;

do {
    number = +prompt('Введіть число');
} while (!Number || number == "" || !Number.isInteger(number));

function calcFactorial(number) {
    let factorial = 1;
    for (i = 1; i <= number; i++) {
        factorial *= i;
    }
    alert(factorial);
}

calcFactorial(number);